<?php
include_once ("includes/setup.inc.php");

$program_sc = fetch_postget_val('program_sc',$_POST, $_GET);
$daerah_sc = fetch_postget_val('daerah_sc',$_POST, $_GET);
$dun_sc = fetch_postget_val('dun_sc',$_POST, $_GET);

$PDO_stmt = $PDO->prepare("SELECT * FROM i_daerah WHERE id_daerah = ?");
$PDO_stmt->bindValue(1, $daerah_sc, PDO::PARAM_INT);
$PDO_stmt->execute();
$daerah_List = $PDO_stmt->fetch(PDO::FETCH_ASSOC);

$PDO_stmt = $PDO->prepare("SELECT * FROM i_dun WHERE id_dun = ?");
$PDO_stmt->bindValue(1, $dun_sc, PDO::PARAM_INT);
$PDO_stmt->execute();
$dun_List = $PDO_stmt->fetch(PDO::FETCH_ASSOC);

$query = 'SELECT A.*, B.desk_dun, C.desk_program, D.desk_poskod, E.desk_negeri FROM m_pemohon A
		LEFT JOIN i_dun B ON A.id_dun = B.id_dun
		LEFT JOIN i_program C ON A.id_program = C.id_program
		LEFT JOIN i_poskod D ON A.id_poskod = D.id_poskod
		LEFT JOIN i_negeri E ON A.id_negeri = E.id_negeri
		WHERE A.id_program = ? 
		AND B.id_daerah = ?
		AND A.id_dun = ?
		AND A.id_statusmohon = 4
		AND A.id_aktifmohon = 1
		AND A.id_statushidup = 1
		AND A.id_carabayar = 1
		AND A.id_byrkepada = 1
		ORDER BY A.nama_pemohon';

$PDO_stmt = $PDO->prepare($query);
$PDO_stmt->bindValue(1, $program_sc, PDO::PARAM_INT);
$PDO_stmt->bindValue(2, $daerah_sc, PDO::PARAM_INT);
$PDO_stmt->bindValue(3, $dun_sc, PDO::PARAM_INT);
$PDO_stmt->execute();
$pemohon_List_all = [];
while($result = $PDO_stmt->fetch(PDO::FETCH_ASSOC))
{
	$pemohon_List_all[] = $result;
}

$TITLE = 'SURAT TUNAI - EFT';
$AUTHOR = 'jj';
$FILE_NAME = str_replace(' ', '_', $TITLE);
//***********************************************************************************************************************
// PRINT PDF
//***********************************************************************************************************************

require_once('classes/tcpdf/config/tcpdf_config.php');
require_once('classes/tcpdf/tcpdf.php');
include_once ("classes/phpqrcode/qrlib.php");

//include_once ("inc/setup.inc.php");
error_reporting(0);

// Extend the TCPDF class to create custom Header and Footer
class MYPDF extends TCPDF {

	//Page header
	public function Header() {
		
	}

	// Page footer
	public function Footer() {
	}
}

$PDF_MARGIN_TOP = 30;
$HEADER_HTML = '';
$header = 1;
if($header == 1)
{
	$PDF_MARGIN_TOP = 5;
	$HEADER_HTML = '<table border="0" style="padding:3px">';
	
		$HEADER_HTML .= '<tr>';
			$HEADER_HTML .= '<td style="width:10%" rowspan="10"><img src="images/penang_logo.png" style="width:50px;height:80px"></td>';		
			$HEADER_HTML .= '<td style="width:40%"><br>'.$daerah_List['alamat'].'<br>Tel &nbsp;&nbsp;: '.$daerah_List['no_tel'].'<br>Web : http://isejahtera.penang.gov.my<br><br><br></td>';
			$HEADER_HTML .= '<td style="width:10%"></td>';
			$HEADER_HTML .= '<td style="width:40%;text-align:center;vertical-align:middle;color:red;font-size:30px" rowspan="3">'.$baucer_from.'<br></td>';
		$HEADER_HTML .= '</tr>';
	$HEADER_HTML .= '</table>';
}

// -----------------------------------------------------------------------------
// create new PDF document
$pdf = new MYPDF("P", PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false); //P for portrait, L for landscape

// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor($AUTHOR);
$pdf->SetTitle($TITLE);
$pdf->SetSubject($TITLE);
$pdf->SetKeywords('TCPDF, PDF, $TITLE');

// set default header data
$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE, PDF_HEADER_STRING);

// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

//set margins
//$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP + $PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetMargins(PDF_MARGIN_LEFT, $PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

//set auto page breaks
$pdf->SetAutoPageBreak(FALSE, PDF_MARGIN_BOTTOM);

//set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

//set some language-dependent strings
$pdf->setLanguageArray($l);

// -----------------------------------------------------------------------------
$height = 4;

for($num = 0 ; $num < count($pemohon_List_all); $num++)
{
	$pemohon_List = $pemohon_List_all[$num];
	$pdf->AddPage();// add a page
	$pdf->SetFont('helvetica', '', 8);
	$pdf->writeHTMLCell(0, 0, '', '', $HEADER_HTML, 0, 1, 0, true, '', true);

	$errorCorrectionLevel ='L';
	$matrixPointSize = 1;
	$url = $pemohon_List['kpbaru_pemohon'];
	$filename = 'qrcodes/'.$pemohon_List['kpbaru_pemohon'].'.png';
	QRcode::png($url, $filename, $errorCorrectionLevel, $matrixPointSize, 1);
	
	$HTML = '<table border="0" style="padding:3px;border-top:1px solid black">';
		$HTML .= '<tr>';
			$HTML .= '<td rowspan="2" style="width:52%;font-size:20px"></td>';
			$HTML .= '<td style="width:20%;text-align:right">Tarikh</td>';
			$HTML .= '<td style="text-align:center;width:3%">:</td>';
			$HTML .= '<td style="width:25%">'.date('d M Y').'</td>';
		$HTML .= '</tr>';
		$HTML .= '<tr>';
			$HTML .= '<td style="text-align:right">Keterangan Lanjut</td>';
			$HTML .= '<td style="text-align:center;">:</td>';
			$HTML .= '<td>'.$dun_List['nama_adun'].'</td>';
		$HTML .= '</tr>';
		$HTML .= '<tr>';
			$HTML .= '<td style="width:10%;"></td>';
			$HTML .= '<td style="width:3%;text-align:center;"></td>';
			$HTML .= '<td style="width:39%;font-size:20px"></td>';
			$HTML .= '<td style="width:23%;text-align:right">No Telefon :</td>';
			
			$telpej = '';
			if($dun_List['no_teladun'] != '')
			{				
				$telpej = $dun_List['no_teladun'].'/';
			}
			$HTML .= '<td style="width:25%;text-align:left">'.$telpej.$dun_List['no_telhpadun'].'</td>';
		$HTML .= '</tr>';
		$HTML .= '<tr style="font-weight:bold">';
			$HTML .= '<td style="width:10%;">DUN<br>Nama</td>';
			$HTML .= '<td style="width:3%;text-align:center;">:<br>:</td>';
			$HTML .= '<td>'.$pemohon_List['desk_dun'].'<br>'.$pemohon_List['nama_pemohon'].'</td>';
			$HTML .= '<td style="width:20%;text-align:right">No KP</td>';
			$HTML .= '<td style="width:3%;text-align:center;">:</td>';
			$HTML .= '<td style="width:25%;">'.$pemohon_List['kpbaru_pemohon'].'</td>';
		$HTML .= '</tr>';
		$HTML .= '<tr style="font-weight:bold">';
			$HTML .= '<td>Alamat</td>';
			$HTML .= '<td style="text-align:center;">:</td>';
			$HTML .= '<td>'.$pemohon_List['alamat'].'</td>';
			$HTML .= '<td colspan="3" rowspan="3" style="text-align:center;"><img src="'.$filename.'" style="width:90px;height:90px"></td>';
		$HTML .= '</tr>';
		if($pemohon_List['alamat2'] != '')
		{
			$HTML .= '<tr style="font-weight:bold">';
				$HTML .= '<td></td>';
				$HTML .= '<td></td>';
				$HTML .= '<td>'.$pemohon_List['alamat2'].' '.$pemohon_List['alamat3'].'</td>';
			$HTML .= '</tr>';
		}
		$HTML .= '<tr style="font-weight:bold">';
			$HTML .= '<td></td>';
			$HTML .= '<td></td>';
			$HTML .= '<td>'.$pemohon_List['desk_poskod'].' '.$pemohon_List['desk_negeri'].'</td>';
		$HTML .= '</tr>';
		$HTML .= '<tr style="font-weight:bold">';
			$HTML .= '<td>No Tel</td>';
			$HTML .= '<td style="text-align:center;">:</td>';
			$HTML .= '<td>'.$pemohon_List['tel_hp'].'</td>';
			$HTML .= '<td colspan="3" style="text-align:center;font-size:10px">Mykad : '.$pemohon_List['kpbaru_pemohon'].'</td>';
		$HTML .= '</tr>';
	$HTML .= '</table>';
	$pdf->SetFont('helvetica', '', 10);
	$pdf->writeHTMLCell(0, 0, '', '', $HTML, 0, 1, 0, true, '', true);

	$border = 0;
	// MultiCell($w, $h, $txt, $border=0, $align='J', $fill=0, $ln=1, $x='', $y='', $reseth=true, $stretch=0, $ishtml=false, $autopadding=true, $maxh=0)
	$pdf->SetFont('helvetica', '', 10.5);
	
	$height = 3;
	$pdf->Ln($height);
	$pdf->SetFont('helvetica', '', 10.5);
	$pdf->MultiCell(0, $height, 'Assalamualaikum dan Salam Sejahtera,', $border, 'L', 0, 1, '', '', true);
	$pdf->Ln($height);
	$pdf->MultiCell(0, $height, 'Tuan/Puan yang dihormati,', $border, 'L', 0, 1, '', '', true);
	$pdf->Ln($height);
	$pdf->SetFont('helveticaB', 'BU', 11); 
	$pdf->MultiCell(0, $height, 'PENGEMASKINIAN MAKLUMAT AKAUN BANK UNTUK PROGRAM '.$pemohon_List['desk_program'], $border, 'J', 0, 1, '', '', true, 0, true);
	$pdf->Ln($height);
	$pdf->SetFont('helvetica', '', 10.5);
	$pdf->MultiCell(0, $height, 'Dengan segala hormatnya perkara di atas adalah dirujuk.', $border, 'L', 0, 1, '', '', true);
	$gelaran = ($pemohon_List['id_jantina']==2?'puan':'tuan');
	$pdf->Ln($height);
	$pdf->MultiCell(0, $height, '2. &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Untuk makluman tuan/puan, Kerajaan Negeri tidak dapat melakukan bayaran Program i-Sejahtera secara tunai berikutan pandemik COVID-19 dimana pembayaran hanya dilaksanakan kepada penerima yang mengemukakan maklumat akaun bank.', $border, 'J', 0, 1, '', '', true, 0, true);
	$pdf->Ln($height);
	$pdf->MultiCell(0, $height, '3. &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Hasil semakan mendapati bahawa tuan/puan belum mengemaskini maklumat akaun bank bagi PROGRAM '.$pemohon_List['desk_program'].'. Sehubungan dengan itu, bagi menerima bayaran terus ke akaun pada tahun ini, tuan/puan adalah dimohon untuk mengemaskini maklumat akaun bank dan memuat naik dokumen-dokumen sokongan di laman web sistem i-sejahtera (https://isejahtera.penang.gov.my) <b>sebelum jam 5.00 petang, 14 November 2021</b>. Sekiranya pemohon gagal mengemaskini maklumat akaun bank dan masih kekal berada dalam status kaedah bayaran secara tunai, <b>bayaran tidak akan dibuat dan hak tuntutan akan dilupuskan (tidak akan dibawa ke tahun berikutnya)</b>.', $border, 'J', 0, 1, '', '', true, 0, true);	
	
	$pdf->Ln($height);
	$pdf->MultiCell(0, $height, '4. &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Selain itu, sistem i-Sejahtera dengan kemaskini terbaru telah membenarkan pemohon untuk menggunakan akaun waris yang berumur 18 tahun ke atas bagi membolehkan wang sumbangan dapat disalurkan. Bagaimanapun ianya hanya dibenarkan untuk waris yang berdaftar/ dinamakan dalam pendaftaran pemohon sahaja.', $border, 'J', 0, 1, '', '', true, 0, true);	
	
	$pdf->Ln($height);
	$pdf->MultiCell(0, $height, '<b>Nota</b> : Bagi pengemaskinian secara atas talian, untuk memilih akaun waris, pemohon perlu terlebih dahulu memilih kaedah tunai pada bahagian "kaedah bayaran pemohon". Setelah memilih kaedah tunai, menu bayaran kepada akaun waris akan dipaparkan. Bagi mengemaskini secara manual, tuan/puan boleh menggunakan borang pengemaskinian maklumat EFT yang turut dilampirkan bersama-sama surat ini dan mengemukakannya kembali kepada pejabat daerah masing-masing sebelum tarikh yang dinyatakan diatas.', $border, 'J', 0, 1, '', '', true, 0, true);	
	
	$pdf->Ln($height*2);
	$pdf->MultiCell(0, $height, 'Sekian, terima kasih.', $border, 'L', 0, 1, '', '', true);
	
	$pdf->Ln($height);
	$pdf->SetFont('helveticaBI', '', 10);
	$pdf->MultiCell(0, $height, '- Surat ini adalah cetakan komputer dan tandatangan tidak diperlukan -', $border, 'C', 0, 1, '', '', true);
}
//Close and output PDF document
ob_end_clean();
$pdf->Output($FILE_NAME.'.pdf', 'I');

//***********************************************************************************************************************
// END PRINT PDF
//***********************************************************************************************************************

?>

